Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1074 (closed defect: fixed)

Opened 12 years ago

Last modified 11 years ago

Function ath_txcapture sometimes crashes the driver on IXP425 platform/

Reported by: rozteck@interia.pl Assigned to:
Priority: major Milestone: version 0.9.5
Component: madwifi: driver Version: trunk
Keywords: Cc:
Patch is attached: 1 Pending:

Description

Sometimes (eg. on channel change while station is connected and transmission is being done) the ath_txcapture function calls upskb_expand_head with NULL skb parameter causing it to crash. Simply NULL checking fixes the crash.

Attachments

ath_txcapture_crash_fix.diff (468 bytes) - added by rozteck@interia.pl on 01/08/07 11:28:22.
Patch fixing the bug described above
ath_txcapture_crash_fix.2.diff (468 bytes) - added by rozteck@interia.pl on 01/09/07 10:18:41.
Fixes the crash caused ath_txcapture function calling upskb_expand_head with NULL pointer. Signed-off-by: Tomasz Rostanski <rozteck@interia.pl>

Change History

01/08/07 11:28:22 changed by rozteck@interia.pl

  • attachment ath_txcapture_crash_fix.diff added.

Patch fixing the bug described above

01/08/07 11:35:58 changed by mrenzmann

Please sign off the patch so that it can be committed to the repository after evaluation.

01/09/07 10:18:41 changed by rozteck@interia.pl

  • attachment ath_txcapture_crash_fix.2.diff added.

Fixes the crash caused ath_txcapture function calling upskb_expand_head with NULL pointer. Signed-off-by: Tomasz Rostanski <rozteck@interia.pl>

01/16/07 17:06:30 changed by rozteck@interia.pl

Can be fixed by applying patch from ticket #907.

01/24/07 07:12:57 changed by rozteck@interia.pl

Definitelly is fixed by patch from ticket #907.

06/21/07 23:04:07 changed by mtaylor

  • status changed from new to closed.
  • resolution set to fixed.

Fixed in trunk.

06/27/07 12:17:12 changed by mrenzmann

  • milestone set to version 0.9.4.

02/11/08 06:15:06 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.